Name:           zerotier-one
Version:        1.1.5
Release:        0.2%{?dist}
Summary:        ZeroTier is a software defined networking layer for Earth

License:        GPLv3
URL:            https://zerotier.com
Source0:        https://github.com/zerotier/ZeroTierOne/archive/dev.tar.gz
Patch0:         0001-initial-CMake-build-support.patch
Patch1:         0002-no-longer-use-the-ext-directory-and-enable-miniupnpc.patch

BuildRequires:  cmake
BuildRequires:  miniupnpc-devel >= 2.0
BuildRequires:  http-parser-devel >= 2.6
BuildRequires:  lz4-devel
BuildRequires:  json-parser-devel
BuildRequires:  libnatpmp-devel

Requires:       miniupnpc >= 2.0
Requires:       http-parser >= 2.6
Requires:       lz4
Requires:       json-parser
Requires:       libnatpmp

%description
ZeroTier is a software defined networking layer for Earth.

It can be used for on-premise network virtualization, as a peer to peer VPN 
for mobile teams, for hybrid or multi-data-center cloud deployments, or just 
about anywhere else secure software defined virtual networking is useful.

ZeroTier One is our OS-level client service. It allows Mac, Linux, Windows, 
FreeBSD, and soon other types of clients to join ZeroTier virtual networks 
like conventional VPNs or VLANs. It can run on native systems, VMs, or 
containers (Docker, OpenVZ, etc.).

%prep
%setup -qn ZeroTierOne-dev
%patch0 -p1
%patch1 -p1

%build
%cmake .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%{_sbindir}/*
%doc AUTHORS.md README.md
%license LICENSE.GPL-3

%changelog
* Wed Jun 08 2016 François Kooman <fkooman@tuxed.net> - 1.1.5-0.2
- add libnatpmp as (build)dependency

* Wed Jun 08 2016 François Kooman <fkooman@tuxed.net> - 1.1.5-0.1
- initial package
